org.apache.ode.axis2

## Class ODEServer

- java.lang.Object
- - org.apache.ode.axis2.ODEServer

-     public class ODEServer
      extends java.lang.Object

  Server class called by our Axis hooks to handle all ODE lifecycle management.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.slf4j.Logger` | `__log`
    `protected org.slf4j.Logger` | `__logTx`
    `protected java.io.File` | `_appRoot`
    `protected BpelServerImpl` | `_bpelServer`
    `protected ClusterUrlTransformer` | `_clusterUrlTransformer`
    `protected org.apache.axis2.context.ConfigurationContext` | `_configContext`
    `protected java.io.File` | `_configRoot`
    `protected CronScheduler` | `_cronScheduler`
    `protected BpelDAOConnectionFactory` | `_daoCF`
    `protected Database` | `_db`
    `protected java.util.concurrent.ExecutorService` | `_executorService`
    `protected ODEConfigProperties` | `_odeConfig`
    `protected Scheduler` | `_scheduler`
    `protected ProcessStoreImpl` | `_store`
    `protected javax.transaction.TransactionManager` | `_txMgr`
    `protected java.io.File` | `_workRoot`
    `protected org.apache.commons.httpclient.MultiThreadedHttpConnectionManager` | `httpConnectionManager`
    `protected org.apache.commons.httpclient.util.IdleConnectionTimeoutThread` | `idleConnectionTimeoutThread`
    `java.lang.Runnable` | `txMgrCreatedCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODEServer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ProcessStoreImpl` | `createProcessStore(EndpointReferenceContext eprContext, javax.sql.DataSource ds)`
    `protected Scheduler` | `createScheduler()`
    `java.io.File` | `getAppRoot()`
    `BpelServerImpl` | `getBpelServer()`
    `java.io.File` | `getConfigRoot()`
    `InstanceManagement` | `getInstanceManagement()`
    `ProcessManagement` | `getProcessManagement()`
    `ProcessStoreImpl` | `getProcessStore()`
    `javax.transaction.TransactionManager` | `getTransactionManager()`
    `void` | `init(javax.servlet.ServletConfig config, org.apache.axis2.context.ConfigurationContext configContext)`
    `void` | `init(java.lang.String contextPath, org.apache.axis2.context.ConfigurationContext configContext)`
    `protected void` | `initDAO()` Initialize the DAO.
    `protected void` | `initProcessStore(EndpointReferenceContext eprContext)`
    `void` | `shutDown()` Shutdown the service engine.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __log

          protected final org.slf4j.Logger __log

    - #### __logTx

          protected final org.slf4j.Logger __logTx

    - #### _appRoot

          protected java.io.File _appRoot

    - #### _workRoot

          protected java.io.File _workRoot

    - #### _configRoot

          protected java.io.File _configRoot

    - #### _bpelServer

          protected BpelServerImpl _bpelServer

    - #### _store

          protected ProcessStoreImpl _store

    - #### _odeConfig

          protected ODEConfigProperties _odeConfig

    - #### _configContext

          protected org.apache.axis2.context.ConfigurationContext _configContext

    - #### _txMgr

          protected javax.transaction.TransactionManager _txMgr

    - #### _daoCF

          protected BpelDAOConnectionFactory _daoCF

    - #### _executorService

          protected java.util.concurrent.ExecutorService _executorService

    - #### _scheduler

          protected Scheduler _scheduler

    - #### _cronScheduler

          protected CronScheduler _cronScheduler

    - #### _db

          protected Database _db

    - #### _clusterUrlTransformer

          protected ClusterUrlTransformer _clusterUrlTransformer

    - #### httpConnectionManager

          protected org.apache.commons.httpclient.MultiThreadedHttpConnectionManager httpConnectionManager

    - #### idleConnectionTimeoutThread

          protected org.apache.commons.httpclient.util.IdleConnectionTimeoutThread idleConnectionTimeoutThread

    - #### txMgrCreatedCallback

          public java.lang.Runnable txMgrCreatedCallback

  - ### Constructor Detail

    - #### ODEServer

          public ODEServer()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletConfig config,
                           org.apache.axis2.context.ConfigurationContext configContext)
                    throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

    - #### init

          public void init(java.lang.String contextPath,
                           org.apache.axis2.context.ConfigurationContext configContext)
                    throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

    - #### shutDown

          public void shutDown()

      Shutdown the service engine. This performs cleanup before the BPE is terminated. Once this method has been called, init() must be called before the transformation engine can be started again with a call to start().
      Throws:
        `org.apache.axis2.AxisFault` - if the engine is unable to shut down.

    - #### getTransactionManager

          public javax.transaction.TransactionManager getTransactionManager()

    - #### initDAO

          protected void initDAO()
                          throws javax.servlet.ServletException

      Initialize the DAO.
      Throws:
        `javax.servlet.ServletException`

    - #### initProcessStore

          protected void initProcessStore(EndpointReferenceContext eprContext)

    - #### createProcessStore

          protected ProcessStoreImpl createProcessStore(EndpointReferenceContext eprContext,
                                                        javax.sql.DataSource ds)

    - #### createScheduler

          protected Scheduler createScheduler()

    - #### getProcessStore

          public ProcessStoreImpl getProcessStore()

    - #### getBpelServer

          public BpelServerImpl getBpelServer()

    - #### getInstanceManagement

          public InstanceManagement getInstanceManagement()

    - #### getProcessManagement

          public ProcessManagement getProcessManagement()

    - #### getAppRoot

          public java.io.File getAppRoot()

    - #### getConfigRoot

          public java.io.File getConfigRoot()